package com.cooksys.prep.bo;

import com.cooksys.prep.dao.CategoryDao;
import com.cooksys.prep.model.Category;
 
public class CategoryBo
{
	CategoryDao categoryDao;
 
	public void setCategoryDao(CategoryDao categoryDao) {
		this.categoryDao = categoryDao;
	}
 
	public void save(Category category){
		categoryDao.save(category);
	}
 
	public void update(Category category){
		categoryDao.update(category);
	}
 
	public void delete(Category category){
		categoryDao.delete(category);
	}
	
	public Category findById(short categoryId){
		return categoryDao.findById(categoryId);
	}
	
	public Category[] findAll(){
		return categoryDao.findAll();
	}
	
}
