package com.cooksys.prep.bo;

import com.cooksys.prep.dao.FilmActorDao;
import com.cooksys.prep.model.Film;
import com.cooksys.prep.model.FilmActor;
 
public class FilmActorBo
{
	FilmActorDao filmActorDao;
 
	public void setFilmActorDao(FilmActorDao filmActorDao) {
		this.filmActorDao = filmActorDao;
	}
 
	public void save(FilmActor filmActor){
		filmActorDao.save(filmActor);
	}
 
	public void update(FilmActor filmActor){
		filmActorDao.update(filmActor);
	}
 
	public void delete(FilmActor filmActor){
		filmActorDao.delete(filmActor);
	}
	
	public FilmActor[] findByFilm(Film film){
		return filmActorDao.findByFilm(film);
	}

	public FilmActor findByActorId(short filmActorId){
		return filmActorDao.findByActorId(filmActorId);
	}
	
}
