package com.cooksys.prep.dao;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.cooksys.prep.model.FilmText;

public class FilmTextDao extends HibernateDaoSupport
{
	public void save(FilmText filmText){
		getHibernateTemplate().save(filmText);
	}
 
	public void update(FilmText filmText){
		getHibernateTemplate().update(filmText);
	}
 
	public void delete(FilmText filmText){
		getHibernateTemplate().delete(filmText);
	}
	
	public FilmText findById(short filmTextId){
		List list = getHibernateTemplate().find(
                      "from FilmText where film_id=?",filmTextId
                );
		if (list.isEmpty()) return null;
		else return (FilmText)list.get(0);
	}
}
