package com.cooksys.prep.dao;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.cooksys.prep.model.Language;

public class LanguageDao extends HibernateDaoSupport
{
	public void save(Language language){
		getHibernateTemplate().save(language);
	}
 
	public void update(Language language){
		getHibernateTemplate().update(language);
	}
 
	public void delete(Language language){
		getHibernateTemplate().delete(language);
	}
	
	public Language findById(short languageId){
		List list = getHibernateTemplate().find(
                      "from Language where language_id=?",languageId
                );
		if (list.isEmpty()) return null;
		else return (Language)list.get(0);
	}
}
