package com.cooksys.prep.dao;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.cooksys.prep.model.Store;

public class StoreDao extends HibernateDaoSupport
{
	public void save(Store store){
		getHibernateTemplate().save(store);
	}
 
	public void update(Store store){
		getHibernateTemplate().update(store);
	}
 
	public void delete(Store store){
		getHibernateTemplate().delete(store);
	}
 
	public Store findById(short storeId){
		List list = getHibernateTemplate().find(
                      "from Store where store_id=?",storeId
                );
		if (list.isEmpty()) return null;
		else return (Store)list.get(0);
	}
}
