package com.cooksys.prep.bo;

import com.cooksys.prep.dao.CityDao;
import com.cooksys.prep.model.City;
import com.cooksys.prep.model.Country;
 
public class CityBo
{
	CityDao cityDao;
 
	public void setCityDao(CityDao cityDao) {
		this.cityDao = cityDao;
	}
 
	public void save(City city){
		cityDao.save(city);
	}
 
	public void update(City city){
		cityDao.update(city);
	}
 
	public void delete(City city){
		cityDao.delete(city);
	}
	
	public City findById(short cityId){
		return cityDao.findById(cityId);
	}
	
	public City[] findByCountry(Country country){
		return cityDao.findByCountry(country);
	}
	
}
