package com.cooksys.prep.bo;

import com.cooksys.prep.dao.CountryDao;
import com.cooksys.prep.model.Country;
 
public class CountryBo
{
	CountryDao countryDao;
 
	public void setCountryDao(CountryDao countryDao) {
		this.countryDao = countryDao;
	}
 
	public void save(Country country){
		countryDao.save(country);
	}
 
	public void update(Country country){
		countryDao.update(country);
	}
 
	public void delete(Country country){
		countryDao.delete(country);
	}
	
	public Country findById(short countryId){
		return countryDao.findById(countryId);
	}
	
	public Country[] findAll()
	{
		return countryDao.findAll();
	}
	
}
