package com.cooksys.prep.bo;

import com.cooksys.bootcamp.ballardFinal.MovieFilter;
import com.cooksys.prep.dao.FilmDao;
import com.cooksys.prep.model.Film;
 
public class FilmBo
{
	FilmDao filmDao;
 
	public void setFilmDao(FilmDao filmDao) {
		this.filmDao = filmDao;
	}
 
	public void save(Film film){
		filmDao.save(film);
	}
 
	public void update(Film film){
		filmDao.update(film);
	}
 
	public void delete(Film film){
		filmDao.delete(film);
	}
	
	public Film findById(short filmId){
		return filmDao.findById(filmId);
	}
	
	public Film[] findAll(){
		return filmDao.findAll();
	}
	
	public Film[] findAll(MovieFilter movieFilter){
		return filmDao.findAll(movieFilter);
	}
	
}
