package com.cooksys.prep.bo;

import com.cooksys.prep.dao.FilmCategoryDao;
import com.cooksys.prep.model.Film;
import com.cooksys.prep.model.FilmCategory;
 
public class FilmCategoryBo
{
	FilmCategoryDao filmCategoryDao;
 
	public void setFilmCategoryDao(FilmCategoryDao filmCategoryDao) {
		this.filmCategoryDao = filmCategoryDao;
	}
 
	public void save(FilmCategory filmCategory){
		filmCategoryDao.save(filmCategory);
	}
 
	public void update(FilmCategory filmCategory){
		filmCategoryDao.update(filmCategory);
	}
 
	public void delete(FilmCategory filmCategory){
		filmCategoryDao.delete(filmCategory);
	}
	
	public FilmCategory[] findByFilm(Film film){
		return filmCategoryDao.findByFilm(film);
	}

	public FilmCategory findByCategoryId(short filmCategoryId){
		return filmCategoryDao.findByCategoryId(filmCategoryId);
	}
	
}
