package com.cooksys.prep.bo;

import com.cooksys.prep.dao.InventoryDao;
import com.cooksys.prep.model.Film;
import com.cooksys.prep.model.Inventory;
 
public class InventoryBo
{
	InventoryDao inventoryDao;
 
	public void setInventoryDao(InventoryDao inventoryDao) {
		this.inventoryDao = inventoryDao;
	}
 
	public void save(Inventory inventory){
		inventoryDao.save(inventory);
	}
 
	public void update(Inventory inventory){
		inventoryDao.update(inventory);
	}
 
	public void delete(Inventory inventory){
		inventoryDao.delete(inventory);
	}
	
	public Inventory findById(short inventoryId){
		return inventoryDao.findById(inventoryId);
	}
	
	public Inventory[] findAllRentable(Film film){
		return inventoryDao.findAllRentable(film);
	}
	
}
