package com.cooksys.prep.bo;

import com.cooksys.prep.dao.RentalDao;
import com.cooksys.prep.model.Customer;
import com.cooksys.prep.model.Rental;
 
public class RentalBo
{
	RentalDao rentalDao;
 
	public void setRentalDao(RentalDao rentalDao) {
		this.rentalDao = rentalDao;
	}
 
	public void save(Rental rental){
		rentalDao.save(rental);
	}
 
	public void update(Rental rental){
		rentalDao.update(rental);
	}
 
	public void delete(Rental rental){
		rentalDao.delete(rental);
	}
 
	public Rental findById(short rentalId){
		return rentalDao.findById(rentalId);
	}
	
	public Rental[] findByCustomer(Customer customer){
		return rentalDao.findByCustomer(customer);
	}
	
	public Rental[] findDueByCustomer(Customer customer){
		return rentalDao.findDueByCustomer(customer);
	}
	
	public Rental[] findReservedByCustomer(Customer customer){
		return rentalDao.findReservedByCustomer(customer);
	}
}