package com.cooksys.prep.dao;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.cooksys.prep.model.Actor;

public class ActorDao extends HibernateDaoSupport
{
	public void save(Actor actor){
		getHibernateTemplate().save(actor);
	}
 
	public void update(Actor actor){
		getHibernateTemplate().update(actor);
	}
 
	public void delete(Actor actor){
		getHibernateTemplate().delete(actor);
	}
	
	public Actor findById(short actorId){
		List list = getHibernateTemplate().find(
                      "from Actor where actor_id=?",actorId
                );
		if (list.isEmpty()) return null;
		else return (Actor)list.get(0);
	}
}
