package com.cooksys.prep.dao;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.cooksys.prep.model.Address;

public class AddressDao extends HibernateDaoSupport
{
	public void save(Address address){
		getHibernateTemplate().save(address);
	}
 
	public void update(Address address){
		getHibernateTemplate().update(address);
	}
 
	public void delete(Address address){
		getHibernateTemplate().delete(address);
	}
	
	public Address findById(short addressId){
		List list = getHibernateTemplate().find(
                      "from Address where address_id=?",addressId
                );
		if (list.isEmpty()) return null;
		else return (Address)list.get(0);
	}
}
