package com.cooksys.prep.dao;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.cooksys.prep.model.Country;

public class CountryDao extends HibernateDaoSupport
{
	public void save(Country country){
		getHibernateTemplate().save(country);
	}
 
	public void update(Country country){
		getHibernateTemplate().update(country);
	}
 
	public void delete(Country country){
		getHibernateTemplate().delete(country);
	}
	
	public Country findById(short countryId){
		List list = getHibernateTemplate().find(
                      "from Country where country_id=?",countryId
                );
		if (list.isEmpty()) return null;
		else return (Country)list.get(0);
	}
	
	public Country[] findAll()
	{
		List<Country> list = getHibernateTemplate().find("from Country thiscountry order by thiscountry.country asc");
		
		return (Country[])list.toArray(new Country[0]);
	}
	
}
