package com.cooksys.prep.dao;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.cooksys.prep.model.Customer;

public class CustomerDao extends HibernateDaoSupport
{
	public void save(Customer customer){
		getHibernateTemplate().save(customer);
	}
 
	public void update(Customer customer){
		getHibernateTemplate().update(customer);
	}
 
	public void delete(Customer customer){
		getHibernateTemplate().delete(customer);
	}
 
	public Customer findById(short customerId){
		List list = getHibernateTemplate().find(
                      "from Customer customer inner join fetch customer.address address left join fetch address.city where customer.customerId=?",customerId
                );
		if (list.isEmpty()) return null;
		else return (Customer)list.get(0);
	}
}
