package com.cooksys.prep.dao;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.cooksys.prep.model.CustomerLogin;

public class CustomerLoginDao extends HibernateDaoSupport
{
	public void save(CustomerLogin customerLogin){
		getHibernateTemplate().save(customerLogin);
	}
 
	public void update(CustomerLogin customerLogin){
		getHibernateTemplate().update(customerLogin);
	}
 
	public void delete(CustomerLogin customerLogin){
		getHibernateTemplate().delete(customerLogin);
	}
 
	public CustomerLogin findByCredentials(String username, String password){
		List list = getHibernateTemplate().find(
                      "from CustomerLogin where username=? AND password=MD5(?)",username,password
                );
		if (list.isEmpty()) return null;
		else return (CustomerLogin)list.get(0);
	}
	
}
