package com.cooksys.prep.dao;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.cooksys.prep.model.Payment;

public class PaymentDao extends HibernateDaoSupport
{
	public void save(Payment payment){
		getHibernateTemplate().save(payment);
	}
 
	public void update(Payment payment){
		getHibernateTemplate().update(payment);
	}
 
	public void delete(Payment payment){
		getHibernateTemplate().delete(payment);
	}
 
	public Payment findById(short paymentId){
		List list = getHibernateTemplate().find(
                      "from Payment where payment_id=?",paymentId
                );
		if (list.isEmpty()) return null;
		else return (Payment)list.get(0);
	}
}
