package com.cooksys.prep.dao;

import java.util.List;

import org.springframework.orm.hibernate3.support.HibernateDaoSupport;

import com.cooksys.prep.model.Staff;

public class StaffDao extends HibernateDaoSupport
{
	public void save(Staff staff){
		getHibernateTemplate().save(staff);
	}
 
	public void update(Staff staff){
		getHibernateTemplate().update(staff);
	}
 
	public void delete(Staff staff){
		getHibernateTemplate().delete(staff);
	}
 
	public Staff findById(short staffId){
		List list = getHibernateTemplate().find(
                      "from Staff where staff_id=?",staffId
                );
		if (list.isEmpty()) return null;
		else return (Staff)list.get(0);
	}
}
