select
	cust.firstName as firstName, 
	cust.lastName as lastName, 
	cust.address.address as address1, 
	cust.address.address2 as address2,
	cust.address.district as district,
	cust.address.city.city as city,
	cust.address.city.country.country as country
from Customer cust
where cust.customerId = 1

select film.title, actor.firstName, actor.lastName
from Actor actor, FilmActor filmActor, Film film
where filmActor.actor.actorId = actor.actorId
and filmActor.film.filmId = film.filmId
and actor.lastName = 'Wahlberg'
and actor.firstName = 'Nick'

SELECT filmActor.film.title, actor.firstName, actor.lastName, cat.category.name
from FilmCategory cat, FilmActor filmActor, Actor actor
where filmActor.actor.actorId = actor.actorId
and filmActor.film.filmId = filmActor.film.filmId
and cat.category.name like 'Ac%'

SELECT 
	film.title, 
	actor.firstName, 
	actor.lastName, 
	cat.name
 from 
 	FilmCategory filmCat join filmCat.film film
 	join filmCat.category cat
 	join film.filmActors filmActor
 	join filmActor.actor actor
	where cat.name like 'Ac%'

select 
	city.city as City, country.country as Country
from 
	Country country
		left join
	country.cities city
with
	city.city like 'Tok%'